跳轉到主要內容
POST
/
suno
/
submit
/
music
curl --request POST \
  --url https://api.aiid.edu.kg/suno/submit/music \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "suno_music",
  "upstream_model": "suno-v5",
  "prompt": "Imitating \"Billie Jean,\" create a DJ song with the theme of \"the artificial intelligence revolution.\"",
  "make_instrumental": false
}
'
{
  "code": "success",
  "message": "",
  "data": "task_xxx"
}

授權

Authorization
string
header
必填

使用 Bearer Token 認證。 格式: Authorization: Bearer sk-xxxxxx

主體

application/json
model
enum<string>
必填

固定傳 suno_music

可用選項:
suno_music
範例:

"suno_music"

prompt
string
必填

在提示詞描述模式下,作為音樂風格、情緒和場景;在歌詞高級模式下,可作為歌詞相容欄位。

upstream_model
string

生成引擎選擇值。

範例:

"suno-v5"

music_model
string

upstream_model 的相容別名。

engine
string

upstream_model 的相容別名。

model_id
string

上游模型 ID 相容欄位。

modelId
string

model_id 的 camelCase 相容欄位。

gpt_description_prompt
string

描述模式提示詞相容欄位。

make_instrumental
boolean
預設值:false

是否生成純伴奏。

light_music
boolean

是否依輕音樂/背景音樂方向生成。

pure_music
boolean

是否按純音樂方向生成。

custom_mode
boolean

是否使用自訂模式。

customMode
boolean

custom_mode 的 camelCase 相容欄位。

title
string

歌曲標題。

tags
string

風格標籤,例如 electro pop, female vocal

style
string

風格相容欄位。

genre
string

曲風相容欄位。

genres
string

曲風相容欄位。

lyrics
string

歌詞內容。

lyric
string

lyrics 相容別名。

custom_lyrics
string

lyrics 相容別名。

customLyrics
string

lyrics 相容別名。

回應

200 - application/json

OK

code
string

成功時為 success

範例:

"success"

message
string

錯誤或提示資訊。

data
object

任務 ID,用於後續查詢。